
/* 
 * Copyright 1990 Karl Lehenbauer, Mark Diekhans, 
 *                Peter da Silva and Jordan Henderson.
 *
 * Permission to use, copy, modify, and distribute this
 * software and its documentation for any purpose and without
 * fee is hereby granted, provided that the above copyright
 * notice appear in all copies.  Karl Lehenbauer, Mark Diekhans,
 * Peter da Silva and Jordan Henderson make no representations
 * about the suitability of this software for any purpose.
 * It is provided "as is" without express or implied warranty.
 */

#include <stdio.h>
#include "tclInt.h"
/*
 * MOVE_ARGV(argv, argc, srcArray, dstArray, len);
 *
 * Moves an argv pointing into portions of the source string, into the
 * (presumably larger) destination string. It does this by copying
 * the contents of the array, then adjusting each element of the argv.
 * since the two strings may not be in contiguous memory, we have to
 * work with offsets.
 */

#ifndef NOSCCSID
	static char *sccs_id = "%M% %I% %H%";
#endif

move_argv(argv, argc, src, dst, len)
char **argv;
int argc;
char *src;
char *dst;
int len;
{
	int i;
	unsigned off;

	bcopy(src, dst, len);
	for(i = 0; i <= argc; i++) {
		off = argv[i] - src;
		argv[i] = dst + off;
	}
}
