.TH CHARTYPE TCL "" "TCL - Tool Command Language"
.ad b
.SH NAME
ctype - TCL character classification commands.
.SH SYNOPSIS
.br
.B ctype \fIclass string\fR 
.br
.SH DESCRIPTION
.PP
.br
'@help: string/ctype
.B ctype \fIclass string\fR 
.br
Determine if all characters in \fIstring\fR are in of the specified
\fIclass\fR.  Returns 1 if they are all of \fIclass\fR and 0 if they are not or
if the string is null. Class is one of the following:
.PP
.B digit
- Tests that all characters are a valid decimal digit, that is 0 through 9.
.PP
.B xdigit
- Tests that all characters are a valid hexadecimal digit, that is 0 through 9,
a through f or A through F.
.PP
.B lower
- Tests that all characters are lowercase letters as defined by the character
set.
.PP
.B upper
- Tests that all characters are uppercase letters as defined by the character
set.
.PP
.B alpha
- Tests that all characters are alphabetic characters as defined by the
character set.
.PP
.B alnum
- Tests that all characters are alphabetic or numeric characters as defined by
the character set.
.PP
.B space
- Tests that all characters are a space, horizontal-tab, carriage return,
newline, vertical-tab, or form-feed.
.PP
.B cntrl
- Tests that all characters are ``control characters'' as defined by the
character set.
.PP
.B punct
- Tests that all characters are any character other than the ones for which
alnum, cntrl, or space is true.
.PP
.B print
- Tests that all characters are a space or any character for which alnum or
punct is true or other ``printing character'' as defined by the character set.
.PP
.B graph
- Tests that all characters in are any character for which print is true,
except for space characters.
.PP
.B ascii
- Tests that all characters are an ASCII character (a non-negative number less
than 0200).
'@endhelp
.SH INITIALIZATION
To initialize the \fBctype\fR TCL command in a custom TCL environment call:
.sp
.nf
.ft CW
    void TCL_InitCharType (interp)
           Tcl_Interp *interp;
.ft R
.fi
