.TH CMDLOOP TCL "" "TCL - Tool Command Language"
.ad b
.SH NAME
commandloop - TCL interactive command interface.
.SH SYNOPSIS
.br
.B commandloop [\fIprompt\fR] [\fIprompt2\fR]
.br
.SH DESCRIPTION
.PP
'@help: extend/commandloop
.B commandloop [\fIprompt\fR] [\fIprompt2\fR]
.br
Create an interactive command loop for the current TCL interpreter.  This
command receives commands from stdin and executes them.  This command is
useful for non-interactive TCL scripts that want to enter an interactive mode.
\fIPrompt\fR is a command string to set the variable
\fBtoplevel_prompt_hook\fR to, which becomes is the main prompt hook.
\fIPrompt2\fR is a command string to set the variable
\fBdownlevel_prompt_hook\fR to, which is the prompt hook for command continuation
input.  When the command terminates, the variables will be prompt hooks will
be set to their old value.  If these arguments are not specified, the prompt
hooks use their current value.  Prompt hooks are TCL code that return as there
result the prompt to output.  The result of the last command executed (which
may be a \fBreturn\fR) will be outputted as the prompt.
'@endhelp
.SH INITIALIZATION
To initialize the command loop command in a custom TCL environment call:
.sp
.nf
.ft CW
    void Tcl_InitCmdloop (interp)
           Tcl_Interp *interp;
.ft R
.fi
