.TH MATH TCL "" "TCL - Tool Command Language"
.ad b
.SH NAME
max, min, random, seed - TCL integer math commands.
.SH SYNOPSIS
.PP
.B max \fInum1 num2\fR [..\fInumN\fR]
.br
.B min \fInum1 num2\fR [..\fInumN\fR]
.br
.B random \fIlimit\fR
.br
.B seed [\fIseedval\fR]
.br
.SH DESCRIPTION
.PP
'@help: math/max
.PP
.B max \fInum1 num2\fR [..\fInumN\fR]
.br
Returns the argument that has the highest numeric value.
'@endhelp
.PP
'@help: math/min
.PP
.B min \fInum1 num2\fR [..\fInumN\fR]
.br
Returns the argument that has the lowest numeric value.
'@endhelp
.PP
'@help: math/random
.B random \fIlimit\fR
.br
Generate a random integer number greater than or equal to zero and less than
\fIlimit\fR.
'@endhelp
.PP
'@help: math/seed
.B seed [\fIseedval\fR]
.br
Resets the random number generator to a starting point derived from 
\fIseedval\fR. This allows software to reproduce a random number sequence.
If \fIseedval\fR is omitted, then the seed is set to a value based on current
system state and the current time, assuring a varying random number sequence.
'@endhelp
.SH INITIALIZATION
To initialize the TCL math command set in a custom TCL environment call:
.sp
.nf
.ft CW
    void TCL_InitMath (interp)
           Tcl_Interp *interp;
.ft R
.fi
