/*
 * Definitions etc. for regexp(3) routines.
 *
 * Caveat:  this is V8 regexp(3) [actually, a reimplementation thereof],
 * not the System V one.
 *
 * *** NOTE: This code is specially modified for use in TCL. ***
 */
#define NSUBEXP  10
typedef struct regexp_t {
	int   subExpIdx[NSUBEXP];
	int   subExpLen[NSUBEXP];
        char *errMsg;           /* Error message, if an error occured.       */
	char *progPtr;          /* Compiled regular expression               */
        char *BoyerMoorePtr;    /* Compiled Boyer-Moore structure            */
        int   noCase;           /* Compare regardless of case                */
        char *plainText;        /* Text of original string. Only when caching */
	char  regstart;		/* Internal use only. */
	char  reganch;		/* Internal use only. */
	char *regmust;		/* Internal use only. */
	int   regmlen;		/* Internal use only. */
} regexp_t;
typedef regexp_t *regexp_pt;

/*
 * Flags used by RegExpCompile:
 */
#define NO_CASE         1
#define CACHE_EXP       2
#define BOTH_ALGORITHMS 4

/*
 * Meta-characters for regular expression
 */
#define META               "^$.[()|?+*\\"
#define META_NO_BRACKET    "^$.()|?+*\\"

extern int   RegComp();
extern int   RegExec();
extern char *RegSub();
extern void  CleanRegExpInfo ();
extern int   RegExpCompile ();
