package copydir copydir
#
# copydir - copy a directory
#
# recursively copy one directory to another, the destination directory
# must exist but all necessary subdirectories will be created if necessary.
#
proc copydir:docopy {sourceDir destDir} {
	foreach file [globok $sourceDir/*] {
		if [file $file isdirectory] {
			if ![file $destDir/$file isdirectory] {
				system "mkdir $destDir/$file"
			}
			copydir:docopy $file $destDir
		} else {
			if [file $file readable] {
				system "cp $file $destDir/$file"
			} else {
				puts stderr "warning: file \"$file\" unreadable"
			}
		}
	}
}

proc copydir {sourceDir destDir} {
	set cwd [pwd]
	if ![file $sourceDir isdirectory] {
		error "\"$sourceDir\" isn't a directory"
	}
	if ![file $destDir isdirectory] {
		error "\"$destDir\" isn't a directory"
	}
	cd $sourceDir
	copydir:docopy . $destDir
	cd $cwd
}

if !$interactiveSession {
	if {[length $argv] != 2} {
		puts stderr "usage: copydir source_dir destination_dir"
		exit 1
	}
	copydir [index $argv 0] [index $argv 1]
}
