#
# build /archive/usenet/Hierarchy, substantially cloned from
# buildindex.tcl
#
# karl		Sun Sep  9 18:43:57 CDT 1990
#

global archive_top
set archive_top /archive/usenet

proc format_hierarchy_entry {line files bytes} {
	set line [range $line 2 [expr {[string first "/+Index" $line] - 1}] chars]
	format "%6d\t%6d\t%s" $files [expr $bytes/1024] [join . [split / $line]] $files
}

proc build_hierarchy {} {
	global archive_top

	cd $archive_top

	exec rm -f Hierarchy.Z

	set infp [open "|find . -name '*+Index' -print | sort" r]
	set outfp [open "|compress >Hierarchy.Z" w]

	puts $outfp " files\tKbytes\tarea"
	puts $outfp "======\t======\t===="
	while {[gets $infp line]} {
		if {[string first "/+Index" $line] < 0} continue

		cd $archive_top
		cd [file $line dirname]
		set files 0
		set nbytes 0
		foreach i [glob *] {
			if [strequ [index $i 0 chars] "."] continue
			incr files
			incr nbytes [file $i size]
		}
		puts $outfp [format_hierarchy_entry $line $files $nbytes]
	}
	close $infp $outfp
	wait
	wait
}

