
proc watchpoint {function arglist} {
	echo "Watchpoint - executing" $function $arglist
	uplevel 2 [format "%s_actual %s" $function $arglist]
}

proc watch {args} {
	foreach i $args {
		if {[length [info command $i]] == 0} {
			echo "can't find function" $i "to watch..."
			continue
		}
		if {[strequ $i echo] || [strequ $i uplevel] || [strequ $i format]} {
			echo "You can't watch" $i "(Watchpoint would recurse)"
		} else {
			rename $i ${i}_actual
			proc $i {args} [format "watchpoint %s \$args" $i]
		}
	}
}

proc unwatch {args} {
	foreach i $args {
		if {[length [info command ${i}_actual]] == 0} {
			echo "function" $i "doesn't exist or wasn't being watched..."
			continue
		}
		rename $i ""
		rename ${i}_actual $i
	}
}
