proc descend_and_glob {dir} {
	set result ""
	foreach i [globok $dir/*] {
		if [file $i isdirectory] {
			set result [concat $result [descend_and_glob $i]]
		} else {
			set result [concat $result $i]
		}
	}
	return $result
}

proc dircmp {olddir newdir} {
	set CWD [pwd]
	cd $olddir
	set old_flist [sortlist [descend_and_glob .]]
	cd $CWD
	cd $newdir
	set new_flist [sortlist [descend_and_glob .]]
	cd $CWD
	
	foreach next_old $old_flist {
		set next_new [index $new_flist 0]
		if {[string compare $next_old $next_new] < 0} {
			echo #$next_old deleted
			flush stdout
			continue
		}
		if {[string compare $next_old $next_new] > 0} {
			while {[string compare $next_old $next_new] > 0} {
				echo #[replace new_flist 0] added
				flush stdout
				set next_new [index $new_flist 0]
			}
		}
		if [strequ $next_old $next_new] {
			set old $olddir/$next_old
			set new $newdir/$next_new
			if {[file $old size] == [file $new size]} {
				if {[exec checksum < $old] == [exec checksum < $new]} {
					replace new_flist 0
					continue
				}
			}
			puts stdout "diff $olddir/$next_old $newdir/$next_new"
			flush stdout
			system "diff $olddir/$next_old $newdir/$next_new"
			replace new_flist 0
		}
	}
}

if !$interactiveSession {
	if {[length $argv] != 2} {
		puts stderr "bad arguments: tcl -f dircmp.tcl dir1 dir2"
		exit 1
	}
	dircmp [index $argv 0] [index $argv 1]
}
