#
# this searches the master index file created by buildindex.tcl
#
# it prints lines that match the specified pattern and the newsgroups
# they were found in
#
#

global directory lastdirectory 

set lastdirectory ""

proc foundit {line} {
	global directory lastdirectory matchInfo

	# don't print if we matched a directory name by accident
	if [strequ [index $line 0 chars] "\["] return

	# if we haven't printed directory name, print it, just don't print
	# the same name more than once
	if ![strequ $directory $lastdirectory] {
		echo $directory
		set lastdirectory $directory
	}
	echo $line
}

proc set_search_string {string} {
	global matchInfo
	match $string nocase {foundit $matchInfo(line)}
	match "^\\\[" {set directory $matchInfo(line)}

}

proc search {} {
	global matchInfo directory lastdirectory

	set lastdirectory ""
	set f [open /archive/usenet/MasterIndex r]
	scan_file $f
	close $f
}

proc searchfor {string} {
	set scancontext [create_scancontext]
	set_search_string $string
	search
	delete_scancontext $scancontext
}
