package mkpath mkpath

#@help: tcl.tlib/mkpath
#
# mkpath directory_path
#
# Mkpath will recursively make all needed directories, if possible, to
# create the specified directory path.
#
# i.e. mkpath foo/bar/snap
#	will make all three directories if necessary
#
#@endhelp

proc mkpath {path} {
	if [file $path isdirectory] return

	set exploded_path [split / $path]
	set nentries [length $exploded_path]

	for {set i 0} {$i <= $nentries} {incr i} {
		set thisdir [join / [range $exploded_path 0 $i]]
		if {![file $thisdir isdirectory]} {exec mkdir $thisdir}
	}
}

